Skip to main content
GET
/
api
/
v1
/
shared
/
users
/
{user_id}
/
profile
Get User Profile By Id
curl --request GET \
  --url https://api.example.com/api/v1/shared/users/{user_id}/profile \
  --header 'Authorization: Bearer <token>'
{
  "user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "emailVerified": true,
    "firstName": "<string>",
    "lastName": "<string>",
    "profilePictureUrl": "<string>",
    "role": "<string>",
    "state": "<string>",
    "lastLogin": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "hasCustomProfilePicture": false
  },
  "organization": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "assignments": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "shipName": "<string>",
      "role": "<string>",
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "isActive": true,
      "shipImoNumber": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string<uuid>
required

Response

Successful Response

Complete profile response.

user
UserProfileDTO · object
required

User profile for /users/me endpoint.

profile_picture_url: server-resolved. If the user has uploaded a custom photo this is a presigned URL for that upload's thumb derivative (256 px); otherwise it's the WorkOS-provided URL.

has_custom_profile_picture: lets the FE show a "Remove photo" affordance only when there's a custom photo to remove.

organization
OrganizationInfoDTO · object
required

Organization info for profile.

assignments
AssignmentWithShipDTO · object[]
required